Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.server
Class JNIEndpoint

    java.lang.Object
      org.apache.tomcat.modules.server.JNIEndpoint

public class JNIEndpoint
extends java.lang.Object

Handle incoming JNI connections. This class will be called from native code to start tomcat and for each request.

Author:
  Gal Shachor

Nested Class Summary
`static interface` | `JNIEndpoint.JniHandler`

Field Summary
`static int` | `DEFAULT_TIMEOUT`

Constructor Summary
`JNIEndpoint()`

Method Summary
`static JNIEndpoint` | `getEndpoint()`
`static int` | `getTimeout()`
`int` | `service(long s, long l)` Called by JNI when a new request is received.
`void` | `setConnectionHandler(JNIEndpoint.JniHandler handler)`
`static void` | `setEndpoint(JNIEndpoint jniep)`
`void` | `shutdown()`
`int` | `startup(java.lang.String cmdLine, java.lang.String stdout, java.lang.String stderr)` Called by JNI to start up tomcat.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TIMEOUT

    public static final int DEFAULT_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### JNIEndpoint

    public JNIEndpoint()

Method Detail

### setConnectionHandler

    public void setConnectionHandler(JNIEndpoint.JniHandler handler)

### setEndpoint

    public static void setEndpoint(JNIEndpoint jniep)

### getEndpoint

    public static JNIEndpoint getEndpoint()

### getTimeout

    public static int getTimeout()

### startup

    public int startup(java.lang.String cmdLine,
                       java.lang.String stdout,
                       java.lang.String stderr)

  Called by JNI to start up tomcat.

### service

    public int service(long s,
                       long l)

  Called by JNI when a new request is received.

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.